Settle a funding request (sandbox)
curl --request POST \
--url https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Ladder-Key: <api-key>' \
--header 'X-Ladder-Signature: <api-key>' \
--header 'X-Ladder-Timestamp: <api-key>' \
--data '
{
"outcome": "success",
"amount": "<string>"
}
'import requests
url = "https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate"
payload = {
"outcome": "success",
"amount": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Ladder-Key": "<api-key>",
"X-Ladder-Timestamp": "<api-key>",
"X-Ladder-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Ladder-Key': '<api-key>',
'X-Ladder-Timestamp': '<api-key>',
'X-Ladder-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({outcome: 'success', amount: '<string>'})
};
fetch('https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'outcome' => 'success',
'amount' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-Ladder-Key: <api-key>",
"X-Ladder-Signature: <api-key>",
"X-Ladder-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate"
payload := strings.NewReader("{\n \"outcome\": \"success\",\n \"amount\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("X-Ladder-Key", "<api-key>")
req.Header.Add("X-Ladder-Timestamp", "<api-key>")
req.Header.Add("X-Ladder-Signature", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate")
.header("Idempotency-Key", "<idempotency-key>")
.header("X-Ladder-Key", "<api-key>")
.header("X-Ladder-Timestamp", "<api-key>")
.header("X-Ladder-Signature", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"outcome\": \"success\",\n \"amount\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["X-Ladder-Key"] = '<api-key>'
request["X-Ladder-Timestamp"] = '<api-key>'
request["X-Ladder-Signature"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"outcome\": \"success\",\n \"amount\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"currency": "GHS",
"amount": "<string>",
"method": "korapay_bank_transfer",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"amount_received": "<string>",
"status": "pending",
"instructions": {},
"failure_reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"settled_at": "2023-11-07T05:31:56Z",
"order_id": "<string>",
"mandate_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Sandbox
Settle a funding request (sandbox)
Test keys only (403 with live keys).
POST
/
partner
/
v1
/
sandbox
/
funding-requests
/
{funding_id}
/
simulate
Settle a funding request (sandbox)
curl --request POST \
--url https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Ladder-Key: <api-key>' \
--header 'X-Ladder-Signature: <api-key>' \
--header 'X-Ladder-Timestamp: <api-key>' \
--data '
{
"outcome": "success",
"amount": "<string>"
}
'import requests
url = "https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate"
payload = {
"outcome": "success",
"amount": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Ladder-Key": "<api-key>",
"X-Ladder-Timestamp": "<api-key>",
"X-Ladder-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Ladder-Key': '<api-key>',
'X-Ladder-Timestamp': '<api-key>',
'X-Ladder-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({outcome: 'success', amount: '<string>'})
};
fetch('https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'outcome' => 'success',
'amount' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-Ladder-Key: <api-key>",
"X-Ladder-Signature: <api-key>",
"X-Ladder-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate"
payload := strings.NewReader("{\n \"outcome\": \"success\",\n \"amount\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("X-Ladder-Key", "<api-key>")
req.Header.Add("X-Ladder-Timestamp", "<api-key>")
req.Header.Add("X-Ladder-Signature", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate")
.header("Idempotency-Key", "<idempotency-key>")
.header("X-Ladder-Key", "<api-key>")
.header("X-Ladder-Timestamp", "<api-key>")
.header("X-Ladder-Signature", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"outcome\": \"success\",\n \"amount\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.myladder.africa/partner/v1/sandbox/funding-requests/{funding_id}/simulate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["X-Ladder-Key"] = '<api-key>'
request["X-Ladder-Timestamp"] = '<api-key>'
request["X-Ladder-Signature"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"outcome\": \"success\",\n \"amount\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"currency": "GHS",
"amount": "<string>",
"method": "korapay_bank_transfer",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"amount_received": "<string>",
"status": "pending",
"instructions": {},
"failure_reason": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"settled_at": "2023-11-07T05:31:56Z",
"order_id": "<string>",
"mandate_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Your key id: pk_test_… (sandbox) or pk_live_… (live).
Unix seconds, as a string; must be within 5 minutes of server time.
Lower-case hex HMAC-SHA512 over timestamp, method, path+query and the SHA-256 of the body. See Authentication.
Headers
Unique per logical request (max 255 chars). A retry with the same key and body returns the original response with Idempotent-Replayed: true; a different body returns 409.
Path Parameters
Body
application/json
Response
Show child attributes
Show child attributes